cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Gill <stevengil...@gmail.com>
Subject Re: cordova can't see android targets
Date Tue, 25 Apr 2017 16:49:39 GMT
You can also do `cordova platform add https://github.com/apache/
cordova-android#6.2.2`

On Tue, Apr 25, 2017 at 9:23 AM, Filip Maj <maj.fil@gmail.com> wrote:

> Hi Oleg,
>
> This is an issue caused by Google changing the Android SDK tooling in
> version 26.
>
> If you use the latest cordova-android, it should be compatible with the new
> tools. Unfortunately, support for the new tools is unreleased at this time
> so you will need to use the latest cordova-android from source.
>
> We are in the process of getting a new cordova-android release out (6.2.2)
> - the vote thread just went out. 6.2.2 should support the new tools just
> fine.
>
> I believe the Cordova command line tooling can work with source
> distributions of platforms. So I think if you a) clone down the
> cordova-android source, b) `cd cordova-android && npm install` and c)
> `cordova platform add path/to/cordova-android`, it should work.
>
>
> On Apr 25, 2017 03:40, "Oleg" <lego12239@yandex.ru> wrote:
>
>   Hi, all.
>
>   Sorry, if i chosen the wrong list for my question, but it seems here
>
> http://stackoverflow.com/questions/43348972/cordova-cant-
> see-android-targets
>
>   nobody can help me.
>
>   I have the next error with cordova:
>
> ~$ cordova requirements
> Requirements check results for android:
> Java JDK: installed 1.8.0
> Android SDK: installed true
> Android target: not installed
> Android SDK not found. Make sure that it is installed. If it is not at
>  the default location, set the ANDROID_HOME environment variable.
> Gradle: installed
> Error: Some of requirements check failed
>
> But at least one android target is exist:
>
> ~$ $ANDROID_HOME/tools/bin/avdmanager list target
> Available Android targets:
> ----------
> id: 1 or "android-25"
>      Name: Android API 25
>      Type: Platform
>      API level: 25
>      Revision: 3
>
> So, i don't understand what cordova wants from me.
>
> OS: funtoo stable
> Cordova: 6.5.0
> Android-studio: 162.3871768
>
> --
> Олег Неманов (Oleg Nemanov)
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
> For additional commands, e-mail: dev-help@cordova.apache.org
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message